/* @flow */

import React, { Component } from 'react';
import { Editor, draftToHtml } from '../../../src';
import Menu from '../Menu';
import styles from './styles.css';

export default class Demo1 extends Component {

  state: any = {
    editorContent: undefined,
  };

  _onEditorChange: Function = (editorContent) => {
    this.setState({
      editorContent,
    });
  };

  render() {
    const { editorContent } = this.state;
    return (
      <div className={styles.demo3_root}>
        <Menu />
        <div className={styles.demo3_label}>
          Playground for react wysiwyg editors, toolbar is alwasy visible.
        </div>
        <div className={styles.demo3_editorWrapper}>
          <Editor
            toolbarClassName={styles.demo3_toolbar}
            wrapperClassName={styles.demo3_wrapper}
            editorClassName={styles.demo3_editor}
            onChange={this._onEditorChange}
            toolbarAlwaysVisible
          />
        </div>
        <textarea
          className={styles.demo3_content}
          value={draftToHtml(editorContent)}
        >
        </textarea>
      </div>
    );
  }
}
