import React, { PropTypes } from 'react';
import { Entity } from 'draft-js';
import styles from './styles.css';

function findImageEntities(contentBlock, callback) {
  contentBlock.findEntityRanges(
    (character) => {
      const entityKey = character.getEntity();
      return (
        entityKey !== null &&
        Entity.get(entityKey).getType() === 'IMAGE'
      );
    },
    callback
  );
}

const Image = (props: any) => {
  const { entityKey } = props;
  const { src } = Entity.get(entityKey).getData();
  return (
    <span contentEditable={false} className={styles.imageContainer}>
      <img
        src={src}
        draggable
        role="presentation"
        className={styles.linkdecorator_link}
      />
      &nbsp;
    </span>
  );
};

Image.propTypes = {
  entityKey: PropTypes.string.isRequired,
};

export default {
  strategy: findImageEntities,
  component: Image,
};
