/* @flow */

import React, { Component, PropTypes } from 'react';
import styles from './styles.css';
import { Dropdown, DropdownOption } from '../Dropdown';
import { colors } from '../../utils/Editor';
import colorIcon from '../../../../images/color.svg';

export default class ColorPicker extends Component {

  static propTypes = {
    onToggle: PropTypes.func.isRequired,
    currentColor: PropTypes.string,
  };

  _onChange: Function = (value) => {
    if (value) {
      this.props.onToggle(value);
    }
  };

  render() {
    const { currentColor } = this.props;
    return (
      <div className={styles.color_wrapper}>
        <Dropdown
          className={styles.color_dropdown}
          onChange={this._onChange}
          optionWrapperClassName={styles.color_optionWrapper}
        >
          <img
            src={colorIcon}
            role="presentation"
          />
          {
            colors.map((color, index) =>
              <DropdownOption
                className={styles.color_option}
                value={color}
                key={index}
                active={currentColor === color}
                activeClassName={styles.color_activeOption}
              >
                <span
                  style={{ backgroundColor: color }}
                  className={styles.color_cube}
                />
              </DropdownOption>)
          }
        </Dropdown>
      </div>
    );
  }
}

// todo: test coverage
