/* @flow */

import React, { Component, PropTypes } from 'react';
import styles from './styles.css';
import { Dropdown, DropdownOption } from '../Dropdown';
import { fontSizes } from '../../utils/Editor';
import fontSize from '../../../../images/font-size.svg';

export default class FontSizeControl extends Component {

  static propTypes = {
    onToggle: PropTypes.func.isRequired,
    currentFontSize: PropTypes.string,
  };

  _onChange: Function = (value) => {
    if (value) {
      this.props.onToggle(value);
    }
  };

  render() {
    const { currentFontSize } = this.props;
    return (
      <div className={styles.fontsize_wrapper}>
        <Dropdown
          className={styles.fontsize_dropdown}
          onChange={this._onChange}
        >
          <img
            src={fontSize}
            role="presentation"
          />
          {
            fontSizes.map((size, index) =>
              <DropdownOption
                className={styles.fontsize_option}
                active={currentFontSize === `fontsize-${size}`}
                value={`fontsize-${size}`}
                key={index}
              >
                {size}
              </DropdownOption>)
          }
        </Dropdown>
      </div>
    );
  }
}
