/* @flow */

import React, { Component, PropTypes } from 'react';
import styles from './styles.css';
import Option from '../Option';
import undo from '../../../../images/undo.svg';
import redo from '../../../../images/redo.svg';

export default class HistoryControl extends Component {

  static propTypes = {
    undo: PropTypes.func.isRequired,
    redo: PropTypes.func.isRequired,
    undoDisabled: PropTypes.bool.isRequired,
    redoDisabled: PropTypes.bool.isRequired,
  };

  _undo: Function = () => {
    this.props.undo();
  };

  _redo: Function = () => {
    this.props.redo();
  };

  render(): Object {
    const {
      undoDisabled,
      redoDisabled,
     } = this.props;
    return (
      <div className={styles.history_wrapper}>
        <Option
          value="unordered-list-item"
          onClick={this._undo}
          disabled={undoDisabled}
        >
          <img
            src={undo}
            role="presentation"
          />
        </Option>
        <Option
          value="ordered-list-item"
          onClick={this._redo}
          disabled={redoDisabled}
        >
          <img
            src={redo}
            role="presentation"
          />
        </Option>
      </div>
    );
  }
}
