/* @flow */

import React, { Component, PropTypes } from 'react';
import styles from './styles.css';
import classNames from 'classnames';

export default class Option extends Component {

  static propTypes = {
    onClick: PropTypes.func.isRequired,
    children: PropTypes.any.isRequired,
    value: PropTypes.string,
    className: PropTypes.string,
    active: PropTypes.bool,
    disabled: PropTypes.bool,
  };

  _onClick: Function = () => {
    const { disabled, onClick, value } = this.props;
    if (!disabled) {
      onClick(value);
    }
  };

  render() {
    const { children, className, active, disabled } = this.props;
    return (
      <div
        className={classNames(
          styles.option_wrapper,
          className,
          {
            [`${styles.option_active}`]: active,
            [`${styles.option_disabled}`]: disabled,
          }
        )}
        onClick={this._onClick}
      >
        {children}
      </div>
    );
  }
}
